* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

.semi__container {
    display: flex;
    flex-direction: row;
    height: 100vh;
    width: 100vw;
    outline: none;
    border: none;
    /* background-color: red; */
}

.semi__container .sidebar {
    border-right: solid 1px rgb(73, 73, 73);
    background-color: #111b21;
    top: 0;
    overflow: hidden;
    height: 100vh;

}


@media only screen and (min-width:1300px) {
    .semi__container .sidebar {
        flex: 40%;
    }
}

@media only screen and (min-width:1024px)and (max-width:1300px) {
    .semi__container .sidebar {
        flex: 35%;
    }
}

@media only screen and (min-width:900px)and (max-width:1024px) {
    .semi__container .sidebar {
        flex: 40%;
    }
}

@media only screen and (min-width:600px) and (max-width:900px) {
    .semi__container .sidebar {
        flex: 45%;
    }

    .semi__container .sidebar .person__list .person {
        padding: 10px 10px 10px 10px;
        font-size: 30px;
    }
}

@media only screen and (max-width:600px) {
    .semi__container .sidebar {
        flex: 45%;
    }
}

.semi__container .chat__section {
    border: solid 0px rgb(73, 73, 73);
    height: 100vh;
    position: relative;
    overflow: hidden;
}

@media only screen and (min-width:1300px) {
    .semi__container .chat__section {
        flex: 60%;
    }
}

@media only screen and (min-width:1024px)and (max-width:1300px) {
    .semi__container .chat__section {
        flex: 65%;
    }
}

@media only screen and (min-width:900px)and (max-width:1024px) {
    .semi__container .chat__section {
        flex: 60%;
    }
}

@media only screen and (min-width:600px) and (max-width:900px) {
    .semi__container .chat__section {
        display: none;
    }
}

@media only screen and (max-width:600px) {
    .semi__container .chat__section {
        display: none;
    }
}

.sidebar .header {
    background-color: #202c33;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 60px;
    color: white;
    position: sticky !important;
    top: 0px;
}

.sidebar .header .header__right {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2.5rem;
    line-height: 5rem;
    font-size: 1rem;
    color: azure;
    padding: 2.5rem;
    cursor: pointer;
}

.sidebar .header img {
    width: 48px;
    border-radius: 50%;
    cursor: pointer;
    margin: 22px;
}

.chat__list__container {
    background-color: #111b21;

}

.chat__list__container .search {
    padding: 5px 20px;
    position: sticky !important;
    top: 60px;
    background-color: #111b21;
}

.chat__list__container .search input {
    border-radius: 8px;
    height: 35px;
    border: none;
    background-color: #202c33;
    color: white;
    width: 100%;
    padding: 15px;
    font-size: 13px;
    text-align: left;
}

.person__list {
    height: calc(100vh - 115px);
    overflow-y: scroll;

}

::-webkit-scrollbar {
    width: 4px;
}

::-webkit-scrollbar-track {
    background: none;
}

::-webkit-scrollbar {
    background: #4b4847cc;
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
}




.person {
    display: flex;
    align-items: center;
    gap: 1px;
    color: white;
    padding: 10px 10px 0px 20px;
    cursor: pointer;
    height: calc(100vh- 130px);
}

.person:hover {
    background-color: #202c33;
}

.person img {
    width: 45px;
    border: none;
    border-radius: 50%;
}

.person .left__text {
    display: flex;
    width: 100%;
    justify-content: space-between;
    gap: 1rem;
    border-bottom: solid 0.2px rgb(73, 73, 73);
}


.person .name__message {
    display: flex;
    justify-content: flex-start;
    gap: 5px;
    flex-direction: column;
    margin: 8px;
}

.name__message h1 {
    font-size: 18px;
    text-align: left;
    font-weight: 500;
}

.name__message p {
    font-size: 11px;
    font-weight: 200;
}

.person .day {
    font-size: 10px;
    font-weight: 90;
    padding: 10px;
}

.chat__section {
    height: 100vh;
    overflow-y: scroll;
}

.chat__section .chat__header {
    background-color: #202c33;
    color: white;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: sticky !important;
    top: 0;
    z-index: 99;
}

.chat__section .chat__header img {
    width: 65px;
    border-radius: 50%;
    padding: 10px;
    margin: 10px;
}


.chat__section .chat__header .name__status {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.chat__section .chat__header .name__status h1 {
    font-size: 15px;
    text-align: right;
    letter-spacing: 1px;
    padding: 5px;
}

.chat__section .chat__header .name__status p {
    text-align: left;
    font-size: 12px;
}

.chat__section .chat__header .search__dots__container {
    display: flex;
    gap: 1.2rem;
    font-size: 25px;
    margin: 20px;
}

.chat__section .chats {
    background-image: url(images/whatsapp-bg.png);
    padding: 15px 70px;
    height: calc(100vh - 55px);
    background-position: center;
    color: white;
    overflow-y: scroll;

}


.onclick {
    background-color: rgb(134, 134, 134);
}


.chat__section .chats .message__content {
    max-width: 250px;
    background-color: #202c33;
    border-radius: 8px;
    margin: 10px;
    padding: 12px;
    font-size: 13px;
    display: block;
}

.chat__section .chats .message__content h3 {
    color: rgba(6, 187, 142, 0.767);
    padding: 3px;
}

.chat__section .chats .message__content p {
    font-weight: 100;
    font-size: 12px;
}

.chat__section .chats .message__content .chat__timestamp {
    position: absolute;
    bottom: 10px;
    right: 10px;
    font-size: x-small;
}

.chat__section .chats .sent {
    position: absolute;
    max-height: 250px;
    display: block;
    right: 75px;
    background-color: #026b58;
}

.input__text__container {
    display: flex;
    padding: 5px;
    align-items: center;
    justify-content: space-evenly;
    gap: 8px;
    width: 100%;
    position: absolute;
    bottom: 0px;
    left: 0;
    background-color: #202c33;
    color: rgb(126, 123, 123);
    font-size: 22px;
    font-weight: 200;
    height: 55px;

}

.input__text__container input {
    width: 75%;
    background-color: #2a3942;
    color: rgb(126, 123, 123);
    border: none;
    height: 40px;
    border-radius: 8px;
    padding: 5px;
}